libebook::FictionBook2TrContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FictionBook2TrContext Class Reference

`#include <FictionBook2TableContext.h>`

Inheritance diagram for libebook::FictionBook2TrContext:

## Public Member Functions
| FictionBook2TrContext (FictionBook2ParserContext *parentContext, const std::shared_ptr< FictionBook2TableModel > &model, const FictionBook2BlockFormat &format)
Public Member Functions inherited from libebook::FictionBook2BlockFormatContextBase
| FictionBook2BlockFormatContextBase (FictionBook2ParserContext *parentContext, const FictionBook2BlockFormat &format)
FictionBook2BlockFormat & | getBlockFormat ()
const FictionBook2BlockFormat & | getBlockFormat () const
void | setLang (const char *lang)
Public Member Functions inherited from libebook::FictionBook2NodeContextBase
| FictionBook2NodeContextBase (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent.
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent.
FictionBook2Collector * | getCollector () const
| Get the collector.
FictionBook2ParserContext * | getParentContext () const
| Get the parent context.
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0

## Private Member Functions
| FictionBook2TrContext (const FictionBook2TrContext &)
FictionBook2TrContext & | operator= (const FictionBook2TrContext &)
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value) override
| Process an attribute.
void | openRow (bool header)

## Private Attributes
const std::shared_ptr< FictionBook2TableModel > | m_model
bool | m_opened

## Constructor & Destructor Documentation

## ◆ FictionBook2TrContext() [1/2]

libebook::FictionBook2TrContext::FictionBook2TrContext | ( | const FictionBook2TrContext & |  | ) |
| private

Referenced by FictionBook2TrContext(), and operator=().

## ◆ FictionBook2TrContext() [2/2]

libebook::FictionBook2TrContext::FictionBook2TrContext | ( | FictionBook2ParserContext * | parentContext,
|  | const std::shared_ptr< FictionBook2TableModel > & | model,
|  | const FictionBook2BlockFormat & | format )

## Member Function Documentation

## ◆ attribute()

void libebook::FictionBook2TrContext::attribute | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData * | ns,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FictionBook2XMLParserContext.

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2TrContext::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns )
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfElement()

void libebook::FictionBook2TrContext::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libebook::FictionBook2XMLParserContext.

## ◆ openRow()

void libebook::FictionBook2TrContext::openRow | ( | bool | header | ) |
| private

Referenced by element(), and endOfElement().

## ◆ operator=()

FictionBook2TrContext & libebook::FictionBook2TrContext::operator= | ( | const FictionBook2TrContext & |  | ) |
| private

## Member Data Documentation

## ◆ m_model

const std::shared_ptr<FictionBook2TableModel> libebook::FictionBook2TrContext::m_model
| private

Referenced by element(), FictionBook2TrContext(), and openRow().

## ◆ m_opened

bool libebook::FictionBook2TrContext::m_opened
| private

Referenced by element(), endOfElement(), FictionBook2TrContext(), and openRow().

The documentation for this class was generated from the following files:

- FictionBook2TableContext.h
- FictionBook2TableContext.cpp